package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DistintaFlussiInputRequiresFirmatario.
 * @see sicura.entities.DistintaFlussiInputRequiresFirmatario
 * @author Hibernate Tools
 */
@Stateless
public class DistintaFlussiInputRequiresFirmatarioHome {

	private static final Log log = LogFactory.getLog(DistintaFlussiInputRequiresFirmatarioHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DistintaFlussiInputRequiresFirmatario transientInstance) {
		log.debug("persisting DistintaFlussiInputRequiresFirmatario instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DistintaFlussiInputRequiresFirmatario persistentInstance) {
		log.debug("removing DistintaFlussiInputRequiresFirmatario instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DistintaFlussiInputRequiresFirmatario merge(DistintaFlussiInputRequiresFirmatario detachedInstance) {
		log.debug("merging DistintaFlussiInputRequiresFirmatario instance");
		try {
			DistintaFlussiInputRequiresFirmatario result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DistintaFlussiInputRequiresFirmatario findById(Integer id) {
		log.debug("getting DistintaFlussiInputRequiresFirmatario instance with id: " + id);
		try {
			DistintaFlussiInputRequiresFirmatario instance = entityManager
					.find(DistintaFlussiInputRequiresFirmatario.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
